from django.urls import path, include
from rest_framework.routers import DefaultRouter
from apps.srm.views import PatentInfoViewSet, PapersecretViewSet, PatentRecordViewSet, PaperRecordViewSet, PlatformViewSet, PlatstandingViewSet


API_BASE_URL = 'api/srm/'
HTML_BASE_URL = 'dhtml/srm/'

router = DefaultRouter()
router.register('patentinfo', PatentInfoViewSet, basename='patentinfo')
router.register('paperse', PapersecretViewSet, basename='PaperSe')
router.register('patentrecord', PatentRecordViewSet, basename='patentrecord')
router.register('paperrecord', PaperRecordViewSet, basename='paperrecord')
router.register('pf', PlatformViewSet, basename='pf')
router.register('ps', PlatstandingViewSet, basename='ps')

urlpatterns = [
    path(API_BASE_URL, include(router.urls)),
]
